Bug 1588827 - After upgrade to 3.6 some logs are not showing in the Kibana webUI
Summary: After upgrade to 3.6 some logs are not showing in the Kibana webUI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 3.7.1
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
: 3.7.z
Assignee: Rich Megginson
QA Contact: Anping Li
URL:
Whiteboard:
Depends On: 1588772
Blocks: 1588828 1588829
TreeView+ depends on / blocked
 
Reported: 2018-06-07 22:48 UTC by Rich Megginson
Modified: 2018-06-27 07:59 UTC (History)
4 users (show)

Fixed In Version: logging-fluentd-container-v3.7.53-1
Doc Type: Bug Fix
Doc Text:
Cause: The incoming data has a field `record["event"]` that is a String value and not the Hash value expected by the transform_eventrouter code. Consequence: This causes the code to throw an error and fluentd to emit an error like this: ``` error_class=NoMethodError error="undefined method `key?' for \"request\":String" ``` Fix: The transform_eventrouter code has been changed to only process the `record["event"]` field if it is a Hash. Result: Records can flow through to Elasticsearch again.
Clone Of: 1588772
: 1588828 (view as bug list)
Environment:
Last Closed: 2018-06-27 07:59:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ViaQ fluent-plugin-viaq_data_model pull 13 None None None 2018-06-07 22:48:17 UTC
Red Hat Product Errata RHBA-2018:2009 None None None 2018-06-27 07:59:54 UTC

Comment 2 Anping Li 2018-06-21 06:38:00 UTC
The string event message can be sent to ES with openshift3/logging-fluentd/images/v3.7.55-1"


 {
      "_index" : ".operations.2018.06.21",
      "_type" : "com.redhat.viaq.common",
      "_id" : "ODYwNzViMDYtODQ1MS00YjBlLWFiYzEtZjMwZGJkMzNlNmJi",
      "_score" : 14.289303,
      "_source" : {
        "event" : "anlieventevent",
        "verb" : "ADDED",
        "docker" : {
          "container_id" : "e99108e3e5ed6a4fc476538df4928e3bd5168c38e5087c20bee1cc2e5e571d45"
        },
         <---snip---->
         <---snip---->
        "level" : "info",
        "message" : "{ \"event\": \"anlieventevent\", \"verb\": \"ADDED\" }\r",
        "hostname" : "ip-172-18-1-12.ec2.internal",

Comment 4 errata-xmlrpc 2018-06-27 07:59:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2009


Note You need to log in before you can comment on or make changes to this bug.